GNU bug report logs - #19339
face-remapping-alist ignored in echo-area

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: oscarfv@HIDDEN (Óscar Fuentes); Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 19339 <at> debbugs.gnu.org and oscarfv@HIDDEN (Óscar Fuentes) Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 2 Dec 2021 16:49:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 11:49:23 2021
Received: from localhost ([127.0.0.1]:49098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mspGs-0007eB-Tq
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:49:23 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mspGq-0007dw-EJ
 for 19339 <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:49:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=e1aBwSvMh1zVg7Cklrou7d6640XTV7Am4iKLo7FcTjA=; b=KgDl8IT1eB8GJIeTJLOE7otBns
 Si1mogmVhUS/cMR3UGzCpslJGC5OHpzFKw8YIlrVRX69acU3TiUe0zWB7u4WxuvC44sRopA+hYNTk
 4n37MG6UxTE3DpfQrSveNvjlBtrztsSyb2W5QeFu/LKEPxLW8DfExXqoDBggMa0+Aoz8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mspGh-0002pw-3q; Thu, 02 Dec 2021 17:49:14 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19339: face-remapping-alist ignored in echo-area
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
 <87mw6vb6e8.fsf@HIDDEN> <87mtlj2ov0.fsf_-_@HIDDEN>
 <21250e5a-6c84-c90c-229c-e86b02e20d58@HIDDEN>
 <87zgpj10t6.fsf@HIDDEN>
 <68756cb5-c517-fa21-821f-b22587cbbe84@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEVSPUJoISVOTk4r
 HSGlopvIx8fAv8HDvLtvYl78/Pzf3tuIhXv///+B4oBWAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+UM
 AhAsIYza3ZsAAAGASURBVDjLxZQ7T8JQFMdviiYkTn6D5lDNNS5AB1dDDuFKV0oTdzs7FCpOpNzh
 JHdxkEg7OWh4jMjQhC9neRjbBgYMif/lPn4553+fh7Hz3WLANMYKZl4VBobddl3XTuQ4/lpd2/Yf
 Gb8Id+l9P4DDwenxwHE8pjkwrm/aWc7jY64b9WkYzXLmYxlAlfA57zHs9KugkYp7aRCFIeKXCVBV
 VjOKflO16q/XS6GXtYGBmN6ggIAWSBSQxEY6lUc1JdGzUKpshCfoJMZOSxIiZQAFRUs2HPWk4ps0
 sGo6cMKOQD64SntMqATAFYqlTndpMJwDMM5VjAWtl071JlihrPFYIfBpBsh5yTR5bIizRQZEQpBZ
 Lgp5yxeZq408DACkWOjUzN45okUGWrWqyoEw+vQbnmUm5772GDG43M7bDlr9ZB5/wDZi5jR8DxHv
 N8PRHx71of/j5WdV/wO03WCyL2Kybx/JWRm+a7uratK2k7a76rrth0cGOltVm75ZLqVrUOUbhZ8l
 9Q1+RkAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTItMDJUMTY6NDQ6MzMrMDA6MDC2eOrLAAAA
 JXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEyLTAyVDE2OjQ0OjMzKzAwOjAwxyVSdwAAAABJRU5ErkJg
 gg==
X-Now-Playing: Xiu Xiu's _Unclouded Sky_: "(Berbice)"
Date: Thu, 02 Dec 2021 17:49:10 +0100
In-Reply-To: <68756cb5-c517-fa21-821f-b22587cbbe84@HIDDEN> (martin rudalics's
 message of "Thu, 2 Dec 2021 17:43:35 +0100")
Message-ID: <87pmqfymt5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: > IIRC you once
 found a recipe how to make it work for specific windows > only. Probably...
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19339
Cc: =?utf-8?Q?=C3=93scar?= Fuentes <ofv@HIDDEN>, 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

martin rudalics <rudalics@HIDDEN> writes:

> IIRC you once found a recipe how to make it work for specific windows
> only.

Probably...

In any case, I don't think there's actually anything to do here in this
bug report, then -- the face remapping works as advertised, so I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 2 Dec 2021 16:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 11:43:48 2021
Received: from localhost ([127.0.0.1]:49090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mspBT-0005H0-Ud
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:43:48 -0500
Received: from mout.gmx.net ([212.227.17.22]:35537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mspBP-0005Gk-5s
 for 19339 <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:43:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1638463416;
 bh=EIldnVVJvEEbnDVcgoibD/VFHhdav/h8L/CXNZoXGBs=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=j69U2KYIUkCQ3o4rfSLN/FYwBEbFBFJm4f78PThBoLH68kXv3GwlQh0kwysyIHpW+
 K1hzirIOcUaNBV8o2aN1VFwf8vHCn+rAAb+fs2B5LiJUGIRNAnouO5SumKK6sAeWHC
 qFeCzx0OhjlzN7l1vslBfB/SYqSIu2LogV4B3nZk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.25]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MwfWU-1mdl462IVW-00y7UH; Thu, 02
 Dec 2021 17:43:36 +0100
Subject: Re: bug#19339: face-remapping-alist ignored in echo-area
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN> <87mw6vb6e8.fsf@HIDDEN>
 <87mtlj2ov0.fsf_-_@HIDDEN> <21250e5a-6c84-c90c-229c-e86b02e20d58@HIDDEN>
 <87zgpj10t6.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <68756cb5-c517-fa21-821f-b22587cbbe84@HIDDEN>
Date: Thu, 2 Dec 2021 17:43:35 +0100
MIME-Version: 1.0
In-Reply-To: <87zgpj10t6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZF0cMDwiEyNedaMMlXjFam508kblfBRcqBr2hSpdPqRX0zjGYZy
 fsGeWODizIlzO1G7+vqwiZc1S0wKqRY/8q7PB1ssXL9nXzHbanaIK0u1hSs1+nfLWoBWyAT
 qfxCwP6v2tCGtDBDvkm2hWFRiavir6m8N36y+LqmcocfqLVBo3CDJWkvXfIS4+fj3rSv1Se
 FRZbjovxS+fn77rSsaRCQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2yuUxGPC2aM=:vP6uPDOSkN4rd8huAJ3s/A
 5OqeuhjeChyJDRwLoQgN95JF495BkF8WRyPOaAMfVRMuGHzEC9FtUn71EQwhpC7zVfJFu3kEb
 G0K7eddnNQnI8kf7QYFg3qrBGIat39cdBHVqpamW1C35SFwZW75CuLQTovplcInWOKo/biy6S
 ZGsNDjDc+TKoCHu2hS2eJ6ZDcKcwEW8e+tM7hqloNe8mJ5qB2R/3KBhwDyXAMuj4p3QgOq5IX
 ldfUx0wheLl7LQhxUj0VFzUHJ93Q7AsmhD7eYMhTvsAy28lA3JWD+/zqr5y4G58GbHSoFc637
 8JhHBoD2yb4WDA2/8ZC1POFvlm0xeYEkwj2QNb+JB1KTBPHkjkHVUP3jKbH3qb7pe9nQlsLUr
 az+/9kIo8pimTjzOqsKVUPPBwyLrh197E6r/Rrl4tqKZWwqX6A70QWbIJJ3J7UJ+7O+sq5vd5
 3rXpay2M+vAHMfKJSpabVeJ1wbkMTNM8VzK/JDXysR5N/sHAsGNodmO3seRX3L4pwuj0RwcCi
 RUzSiEC5pH9rwxSIyFONrZBbub+zTFGfM3V+TdjS8WlpLJ89CB2GrP6QT4tzZSdu+grIsL0o7
 o4OOkWelET3PWjBgj5rhBa6C6v883pNZe54NSA2PpntWQzuPBwyNMEmcJV2BBZgKNhJ8iZyyZ
 r/CnE2EdkDKNQ2FeB5AABpSt8Oh791xvDeQaL/G+AAsTMp9bc2LPJ/gOwGjlwpWHXcsxxSq6L
 sQq8NLcjsfW/UeY6+GfMkQBkSePGgLxvtXJ1FNdxP6KjYT2TXahQDC5ctG6igdCUrZPDbsaxM
 2XzzQkGJdtcIbysOxbhR+UDZT5oMhuFek6a93WimDaQbCTV6qWdzwews79lVZdT0EAyllVhbh
 Re/6mk0I5yHFPNsbzbn4snWlcd3spGTsHHRNGN7g+E3Y9BC1fF5LU3WRAT3svLoPb/dk9+2ZJ
 YBW0bJQ9GO6k6Vr5JszF8Jlk5CObXr952IfrUdfzyosSNMYqrubVmsUsD5TYpYD/iPCj4Cpqp
 xCsof6Lmp/q3mAUJ4bQ8zTuNk3TCDMU+hbuPauT3AOPkzaNn5P5woHoQROpZ/EjkHy+MgIPbN
 3N/4ZxSqx3/Uz4=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19339
Cc: =?UTF-8?Q?=c3=93scar_Fuentes?= <ofv@HIDDEN>, 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Right...  but this doesn't work, either:
 >
 > (dolist (b (buffer-list))
 >    (when (string-match " *Echo Area\\|Minibuf" (buffer-name b))
 >      (with-current-buffer b
 >        (make-local-variable 'face-remapping-alist)
 >        (add-to-list 'face-remapping-alist
 > 		   '(default (:background "green"))))))

IIRC you once found a recipe how to make it work for specific windows
only.

 > But I guess you have to do something with the minibuffer hook to get
 > that to work, or something?

'minibuffer-setup-hook' probably.  Here I'm using a separate window slot
for keeping a window-specific remapping alist.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 2 Dec 2021 15:31:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 10:31:01 2021
Received: from localhost ([127.0.0.1]:48953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mso32-00017b-Ss
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 10:31:01 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mso31-00017O-9W
 for 19339 <at> debbugs.gnu.org; Thu, 02 Dec 2021 10:31:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DB0zNk8Ihlfa/57Qdfjrj8vZRQg7XGOxz1EJQcSxIf4=; b=srFwysKXvb5aOK3+i3Z25kH9GR
 up6R5i4qBifPj3qtLKHGgQ/SBCKBAptoK8ljAkjVG20KUip1YmoHsi+IaecUFwFDcx+ENLEfjhW0k
 qvOGqRj7KbGB1ninizSzXVey8fw6Kuj4BTN6BV5hnS/qcaIntbR6batLXDc7AMEgkJZs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mso2r-0002Cf-Jm; Thu, 02 Dec 2021 16:30:52 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19339: face-remapping-alist ignored in echo-area
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
 <87mw6vb6e8.fsf@HIDDEN> <87mtlj2ov0.fsf_-_@HIDDEN>
 <21250e5a-6c84-c90c-229c-e86b02e20d58@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXQ8Pykzr/7/PPt
 8s/f5a59k3P////3cTrHAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UMAg8QGy5fmZsAAAGZSURBVDjL
 nZPBboMwDIbbSrvjEe6t091LnN0b2b0vGn7/V5mTEqBbpUm1EEL5+H87drLb/RP7breDDvb7vwQa
 /z+wvGATTYWIBI/RNeDjL7IoJD1VeCmxAZc78LGC5EzmwNnnDEhkyCzwTcmZzsC1AjOqv8L34QxV
 O4MonDyoug4x1XU+NnDLo/byXgATUWhABgWFaIpiZeS45FCdPvovxJElGrg0IKrgJ7MaqVg1ULxy
 4lCAZwp+Bni2jkzi+qooKYTvIHphjc4ZiJ5WKzwByQCu7IPsCeRngDRacqD3A45jb6ApED+tXFc2
 GG8Tepw3aCDlIfXcH/CkqkJ6bWDIWTkA4t6ADrqM9pTdFMgZKNMYZFGgkAS0HJ/WrOg4LYeBooGA
 +JbBEaVVURoZerOyAUdxS7lWp7WbEc/3CT4C5lJFORXTxsoax1cDanPWKa8Kiny30ly2sgIfE0l1
 lFvSjcKWyIVag1gXNla20nlvp8Sn2yZ5TcIB65yELw9AYsA5jpvk9qPDJyAgUf8MPMar4OWwO7ze
 /VfiB8wrhoIKJgx3AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEyLTAyVDE1OjE2OjI3KzAwOjAw
 RvXe9wAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMi0wMlQxNToxNjoyNyswMDowMDeoZksAAAAA
 SUVORK5CYII=
X-Now-Playing: Steve Hackett's _Voyage of the Acolyte_: "Hands of the
 Priestess, Part II"
Date: Thu, 02 Dec 2021 16:30:45 +0100
In-Reply-To: <21250e5a-6c84-c90c-229c-e86b02e20d58@HIDDEN> (martin rudalics's
 message of "Thu, 2 Dec 2021 14:17:26 +0100")
Message-ID: <87zgpj10t6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: martin rudalics <rudalics@HIDDEN> writes: >> Or... something
 else? Does anybody know? > > Because a minibuffer is shown instead? Right...
 but this doesn't work, either: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19339
Cc: =?utf-8?Q?=C3=93scar?= Fuentes <ofv@HIDDEN>, 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

martin rudalics <rudalics@HIDDEN> writes:

>> Or...  something else?  Does anybody know?
>
> Because a minibuffer is shown instead?

Right...  but this doesn't work, either:

(dolist (b (buffer-list))
  (when (string-match " *Echo Area\\|Minibuf" (buffer-name b))
    (with-current-buffer b
      (make-local-variable 'face-remapping-alist)
      (add-to-list 'face-remapping-alist
		   '(default (:background "green"))))))

But I guess you have to do something with the minibuffer hook to get
that to work, or something?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 2 Dec 2021 13:17:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 08:17:38 2021
Received: from localhost ([127.0.0.1]:46961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mslxx-0005i9-Uq
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 08:17:38 -0500
Received: from mout.gmx.net ([212.227.17.22]:50615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mslxu-0005hn-SC
 for 19339 <at> debbugs.gnu.org; Thu, 02 Dec 2021 08:17:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1638451048;
 bh=6OMUxOU0V0WV9xlP2NcmifO9sVTKyWAZ5xhMO3ibYGE=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=QKMzwL+/Sd3d8T0qAFDaCQAovmRbWMwzOlj0zcBGYiN7gZd5wPyvnfJfp6zNCfCpG
 SX1cQS8mRNfES18n7CXvfd9YFD9iBreboJElGIlT66npz6HBxXss4zyLefDzxXPDqB
 Vca8H4lahGm80vOUSAGdCU4UBbHbfUp6zE/ZoheU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.25]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mel3t-1mKo7e3xyf-00amL4; Thu, 02
 Dec 2021 14:17:28 +0100
Subject: Re: bug#19339: face-remapping-alist ignored in echo-area
To: Lars Ingebrigtsen <larsi@HIDDEN>, =?UTF-8?Q?=c3=93scar_Fuentes?=
 <ofv@HIDDEN>
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN> <87mw6vb6e8.fsf@HIDDEN>
 <87mtlj2ov0.fsf_-_@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <21250e5a-6c84-c90c-229c-e86b02e20d58@HIDDEN>
Date: Thu, 2 Dec 2021 14:17:26 +0100
MIME-Version: 1.0
In-Reply-To: <87mtlj2ov0.fsf_-_@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:hckrtfyZ4MYIvwUmxlPTKz5XB298UPtYsEAJbf7WTlINsO9mMXo
 KSXWTU63JDc2l4ZtV6syrN2T0yv0OOXjW1pr17h5Diqr6O1ZYX7QazEDtJQDug6jrjBuTT2
 551+aKpNyeEW2MVCtTAXOanGrYbHsvjVNkNFym5fu1zpDpWtoS6OWwD4yV8Eieyg2sFgzWj
 A8ouQ+QcnmUtFCnRehQkA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:CHOU7lDkxhs=:CkazQ4RbNnJvmorz51K5n3
 flHyR9DW3nq84IxYObM29HNl8Sr5XsVqK4hfqWcMhTNlMk0NF4mmPh+0mRa/oIi33zXEJKnB2
 2EnC3KAXl4d3s7GgQ3t5K+9iIf00L0YDFOfvxUQMgfKjGfrlB0T08UeXE86F7vbuaETxYp0qC
 W0GKit3vSYwP61u5HmybfmPfbI7zrc5JFR4y5uZHVaPPmtEFE2WgDe829ttr18pixZ/nMwBCm
 g8sCJXUGDKzRLdw2/06PvohFiH6KoKCmpHbDmnQww/zVyxwF42FW5jWcy2HeUOn4y1nIdCCu5
 18oXqZyZ6trXQdrBMRnc6POh9xF2DvjasLtD4xIRShOSqWX9A8vjP8w3982oEJ7L997ianrzM
 +M8wxng7z9c47njr7Dq2WSSed9BfANudhOTaIOecH3AyhkpsfupBEGjdIluI5j6JDr2I1X3Df
 5FanGt/EHzaj80s+eHwlIeO9Vaa1iiRPYazuxZBYF91i403wm9cAL0falpbCDZbRgYHv/45is
 08FPkJKaF1uU39/TYcK4LtzHW53XW4O+1deYYwP4eaufIvOH+oORwQm/JUfff1Zlp8m6fviWA
 U/51YsqAUWzKvYUT9Ik714Micb2M4xc9SFlt2Z9TBOQTqLf7AS3gYcCRtpZnEZP+yRahDi614
 XUYnEWgn0sQO/tErRL+/CKRM67M453W6d+M8l8wETpgfUqkcT10Rj8HryipC53uHzKE75Ru5P
 uSLqnOhCFrZKc/Ce3pZoSE6983/lP33PucsFWw6s/kBShUqmk1hEjA09O3W70EHkkBz3ss9ZX
 ry+2sKqjKSMxEdvRJeAgjioYKy1GMFu742bsr6YDdArx/KHVetercYyYPDmwIMUgx6L7lnCzW
 ZDPSdCB+dBPNREqmkDO2ej55BzsN0+gjNs84xS/WXzukcZpfnhtZ2JdXSNa4eyCbL/F1RSKUL
 S3s3WQRg9KZgZWWqKkqPmcqtx6SOHZbGV9QMk97dCZ70dxpYyGNNcjvfAJ8s8ng7J4CidiYXI
 bBDnjxRG+rPNvq7BjTK7ngpj9b76+cPaMmIfR/7qP5B+2QwpaXV6yJ8Wncf/l0dP0SF4FRKmi
 DF6WR5mGEeyTbw=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19339
Cc: 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Or...  something else?  Does anybody know?

Because a minibuffer is shown instead?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 2 Dec 2021 12:06:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 07:06:10 2021
Received: from localhost ([127.0.0.1]:46879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mskqo-0007st-7E
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 07:06:10 -0500
Received: from quimby.gnus.org ([95.216.78.240]:38834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mskqj-0007sI-2s
 for 19339 <at> debbugs.gnu.org; Thu, 02 Dec 2021 07:06:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Fv2psuYQj3YLSgbdznyP/NCNPCF7ysCAE4Vm6zH/MzI=; b=Xg8u9IIx8ouA3yTIZolhmBsf3p
 IfSjeWjQELj3Jk255UV8hC+a9M/vlxtGyhv68iReibBvwX6K0LdeQgsgvaLDqNiqqw5O3q8CfEgT7
 PZd6cb0LZ99T4AF/M977qwmvTIayWC7gf6kiJOFkp+fJBixYlFi1T4AQozHbFAV1e7/c=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mskqa-0000eh-1r; Thu, 02 Dec 2021 13:05:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?=C3=93scar?= Fuentes <ofv@HIDDEN>
Subject: Re: bug#19339: face-remapping-alist ignored in echo-area
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
 <87mw6vb6e8.fsf@HIDDEN>
X-Now-Playing: Beatriz Ferreyra's _The Wire Tapper 53_: "Deux dents dehors"
Date: Thu, 02 Dec 2021 13:05:55 +0100
In-Reply-To: <87mw6vb6e8.fsf@HIDDEN> (=?utf-8?Q?=22=C3=93scar?=
 Fuentes"'s message of "Wed, 10 Dec 2014 21:23:59 +0100")
Message-ID: <87mtlj2ov0.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Óscar Fuentes <ofv@HIDDEN> writes: > (dolist (b (buffer-list))
    > (when (or (string= (buffer-name b) " *Echo Area 0*") > (string= (buffer-name
    b) " *Echo Area 1*")) > (with-current-buffer b > (make-local-variable 'face-remapping-alist)
    [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19339
Cc: 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C3=93scar Fuentes <ofv@HIDDEN> writes:

> (dolist (b (buffer-list))
>   (when (or (string=3D (buffer-name b) " *Echo Area 0*")
> 	    (string=3D (buffer-name b) " *Echo Area 1*"))
>     (with-current-buffer b
>       (make-local-variable 'face-remapping-alist)
>       (add-to-list 'face-remapping-alist
> 		   '(default (:background "green"))))))
>
> Still, the background of the minibuffer goes away as soon as you move the
> cursor

When the echo area becomes empty, then the background goes away; yes.
Probably because Emacs doesn't apply any faces there when there's no
characters there?

Or...  something else?  Does anybody know?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 10 Dec 2014 22:12:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 17:12:15 2014
Received: from localhost ([127.0.0.1]:42090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XypUV-0002x1-4t
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 17:12:15 -0500
Received: from smtp11.acens.net ([86.109.99.135]:65339 helo=smtp.movistar.es)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <oscarfv@HIDDEN>) id 1XypUQ-0002wf-TE
 for 19339 <at> debbugs.gnu.org; Wed, 10 Dec 2014 17:12:12 -0500
X-CTCH-RefID: str=0001.0A0B0203.5488C534.0227, ss=1, re=0.001, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (88.10.128.129) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 54615F2D00FD75D1 for 19339 <at> debbugs.gnu.org; Wed, 10 Dec 2014 22:12:04 +0000
From: oscarfv@HIDDEN (=?utf-8?Q?=C3=93scar?= Fuentes)
To: 19339 <at> debbugs.gnu.org
Subject: Re: bug#19339: 25.0.50; face-remapping-alist ignored in echo-area
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
 <87iohjb6ci.fsf@HIDDEN>
 <jwv4mt3rx89.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 10 Dec 2014 23:12:03 +0100
In-Reply-To: <jwv4mt3rx89.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 10 Dec 2014 16:55:07 -0500")
Message-ID: <8761djb1e4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Stefan Monnier <monnier@HIDDEN> writes:

>> and the funny "nil" strings are inserted on *scratch* when
>> you press `C-j'.
>
> Oh, that's the documented behavior of C-j in lisp-interaction-mode
> (think of it as a kind of ielm-mode, which outputs the return value of
> the code you just executed via C-j).

Bfff... I'm only using Emacs since 13 years ago, please be patient with
this n00b.

So the only issue is the disappearance of the remapped background. I see
that you changed the bug title. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.
Changed bug title to 'face-remapping-alist ignored in echo-area' from '25.0.50; Buffer-local value of face-remapping-alist leaks to other buffers' Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 10 Dec 2014 21:55:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 16:55:13 2014
Received: from localhost ([127.0.0.1]:42083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XypE1-0001BS-5p
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 16:55:13 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:55497)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>)
 id 1XypDy-0001BE-El; Wed, 10 Dec 2014 16:55:11 -0500
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id sBALt7dH010520;
 Wed, 10 Dec 2014 16:55:08 -0500
Received: by ceviche.home (Postfix, from userid 20848)
 id 902D3660DC; Wed, 10 Dec 2014 16:55:07 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: oscarfv@HIDDEN (=?windows-1252?Q?=D3scar?= Fuentes)
Subject: Re: bug#19339: 25.0.50; face-remapping-alist ignored in echo-area
Message-ID: <jwv4mt3rx89.fsf-monnier+emacsbugs@HIDDEN>
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
 <87iohjb6ci.fsf@HIDDEN>
Date: Wed, 10 Dec 2014 16:55:07 -0500
In-Reply-To: <87iohjb6ci.fsf@HIDDEN> (=?windows-1252?Q?=22=D3scar?=
 Fuentes"'s message of "Wed, 10 Dec 2014 21:25:01 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5151=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5151> : inlines <1624> : streams
 <1354848> : uri <1838060>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19339
Cc: 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

retitle 19339 face-remapping-alist ignored in echo-area
thanks

> Still, the background of the minibuffer goes away as soon as you move the
> cursor around

Hmm... it comes back when a message is output, tho.  And I can't quite
characterize when the green background disappears and when it doesn't.

Maybe the C code that "clears" the each area fails to take
face-remapping-alist into account, or something like that.

> and the funny "nil" strings are inserted on *scratch* when
> you press `C-j'.

Oh, that's the documented behavior of C-j in lisp-interaction-mode
(think of it as a kind of ielm-mode, which outputs the return value of
the code you just executed via C-j).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 10 Dec 2014 20:25:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 15:25:12 2014
Received: from localhost ([127.0.0.1]:42016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xynou-00078L-8L
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:25:12 -0500
Received: from smtp21.acens.net ([86.109.99.145]:18216 helo=smtp.movistar.es)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <oscarfv@HIDDEN>) id 1Xynor-000782-0F
 for 19339 <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:25:10 -0500
X-CTCH-RefID: str=0001.0A0B020D.5488AC1E.0262, ss=1, re=0.001, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (88.10.128.129) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 54430CAB01BBE6DA for 19339 <at> debbugs.gnu.org; Wed, 10 Dec 2014 20:25:02 +0000
From: oscarfv@HIDDEN (=?utf-8?Q?=C3=93scar?= Fuentes)
To: 19339 <at> debbugs.gnu.org
Subject: Re: bug#19339: 25.0.50;
 Buffer-local value of face-remapping-alist leaks to other buffers
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 10 Dec 2014 21:25:01 +0100
In-Reply-To: <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 10 Dec 2014 15:13:23 -0500")
Message-ID: <87iohjb6ci.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> Too many parentheses,

Thanks. Here the revised version:

(dolist (b (buffer-list))
  (when (or (string= (buffer-name b) " *Echo Area 0*")
	    (string= (buffer-name b) " *Echo Area 1*"))
    (with-current-buffer b
      (make-local-variable 'face-remapping-alist)
      (add-to-list 'face-remapping-alist
		   '(default (:background "green"))))))

Still, the background of the minibuffer goes away as soon as you move the
cursor around and the funny "nil" strings are inserted on *scratch* when
you press `C-j'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2014 20:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 15:24:42 2014
Received: from localhost ([127.0.0.1]:42011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XynoP-000772-QB
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:24:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40896)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XynoN-00076n-SZ
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:24:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XynoB-0003Qu-WF
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:24:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51736)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XynoB-0003Qp-Su
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:24:27 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42598)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Xyno5-0006Ld-UR
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 15:24:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Xynny-0003O2-DP
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 15:24:21 -0500
Received: from plane.gmane.org ([80.91.229.3]:43265)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Xynny-0003Nd-6g
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 15:24:14 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Xynnw-0004dl-Gw
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 21:24:12 +0100
Received: from 129.red-88-10-128.dynamicip.rima-tde.net ([88.10.128.129])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Dec 2014 21:24:12 +0100
Received: from ofv by 129.red-88-10-128.dynamicip.rima-tde.net with local
 (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Dec 2014 21:24:12 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
Subject: Re: bug#19339: 25.0.50;
 Buffer-local value of face-remapping-alist leaks to other buffers
Date: Wed, 10 Dec 2014 21:23:59 +0100
Lines: 17
Message-ID: <87mw6vb6e8.fsf@HIDDEN>
References: <874mt3cqi4.fsf@HIDDEN>
 <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 129.red-88-10-128.dynamicip.rima-tde.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
Cancel-Lock: sha1:jMANYYPsqFwyUfn9ImATNXNO3IQ=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Stefan Monnier <monnier@HIDDEN> writes:

> Too many parentheses,

Thanks. Here the revised version:

(dolist (b (buffer-list))
  (when (or (string= (buffer-name b) " *Echo Area 0*")
	    (string= (buffer-name b) " *Echo Area 1*"))
    (with-current-buffer b
      (make-local-variable 'face-remapping-alist)
      (add-to-list 'face-remapping-alist
		   '(default (:background "green"))))))

Still, the background of the minibuffer goes away as soon as you move the
cursor around and the funny "nil" strings are inserted on *scratch* when
you press `C-j'.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at 19339 <at> debbugs.gnu.org:


Received: (at 19339) by debbugs.gnu.org; 10 Dec 2014 20:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 15:13:27 2014
Received: from localhost ([127.0.0.1]:42004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XyndX-0006me-9d
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:13:27 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:47471)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XyndV-0006mV-8o
 for 19339 <at> debbugs.gnu.org; Wed, 10 Dec 2014 15:13:25 -0500
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id sBAKDNXo008797;
 Wed, 10 Dec 2014 15:13:23 -0500
Received: by ceviche.home (Postfix, from userid 20848)
 id 4B5926610C; Wed, 10 Dec 2014 15:13:23 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: oscarfv@HIDDEN (=?windows-1252?Q?=D3scar?= Fuentes)
Subject: Re: bug#19339: 25.0.50;
 Buffer-local value of face-remapping-alist leaks to other buffers
Message-ID: <jwvlhmfs1px.fsf-monnier+emacsbugs@HIDDEN>
References: <874mt3cqi4.fsf@HIDDEN>
Date: Wed, 10 Dec 2014 15:13:23 -0500
In-Reply-To: <874mt3cqi4.fsf@HIDDEN> (=?windows-1252?Q?=22=D3scar?=
 Fuentes"'s message of "Wed, 10 Dec 2014 19:24:19 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5151=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5151> : inlines <1621> : streams
 <1354812> : uri <1838052>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19339
Cc: 19339 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> (dolist (b (buffer-list))
>   (when (or (string= (buffer-name b) " *Echo Area 0*")
> 	    (string= (buffer-name b) " *Echo Area 1*"))
>     (with-current-buffer b
>       (make-local-variable 'face-remapping-alist)))
                                                   ^^

Too many parentheses,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2014 18:24:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 10 13:24:55 2014
Received: from localhost ([127.0.0.1]:41948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XylwU-0003xI-Pp
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 13:24:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35485)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <oscarfv@HIDDEN>) id 1XylwR-0003x0-Q7
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 13:24:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <oscarfv@HIDDEN>) id 1XylwE-0000o3-Nz
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 13:24:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38801)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <oscarfv@HIDDEN>) id 1XylwE-0000nx-Ko
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 13:24:38 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37153)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <oscarfv@HIDDEN>) id 1Xylw7-0000mS-Gv
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 13:24:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <oscarfv@HIDDEN>) id 1Xylw0-0000ht-GR
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 13:24:31 -0500
Received: from relaycp03.dominioabsoluto.net ([217.116.26.84]:36195)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <oscarfv@HIDDEN>) id 1Xylw0-0000gT-9I
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 13:24:24 -0500
Received: from smtp.movistar.es (smtp08.acens.net [86.109.99.132])
 by relaycp03.dominioabsoluto.net (Postfix) with ESMTP id 650C3BFAD8D
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Dec 2014 19:24:21 +0100 (CET)
X-CTCH-RefID: str=0001.0A0B020D.54888FD5.0247, ss=1, re=0.001, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (88.10.128.129) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 543BDCB401DA145A for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 18:24:21 +0000
From: oscarfv@HIDDEN (=?utf-8?Q?=C3=93scar?= Fuentes)
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50;
 Buffer-local value of face-remapping-alist leaks to other buffers
Date: Wed, 10 Dec 2014 19:24:19 +0100
Message-ID: <874mt3cqi4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)


emacs -Q

Eval this in *scratch* :

(dolist (b (buffer-list))
  (when (or (string= (buffer-name b) " *Echo Area 0*")
	    (string= (buffer-name b) " *Echo Area 1*"))
    (with-current-buffer b
      (make-local-variable 'face-remapping-alist)))
      (add-to-list 'face-remapping-alist
		   '(default (:background "green"))))

The minibuffer window now has a green background, as expected. Now do
`C-x b' to switch to another buffer. Now the *scratch* buffer also has
the green background.

If, instead of `C-x b', you press `C-j', part of the buffer remains with
the original background and the rest is painted green. Also, a "nil"
string is inserted in *scratch* everytime you press `C-j'. And the
minibuffer window reverts to its original background.



In GNU Emacs 25.0.50.2 (x86_64-unknown-linux-gnu, X toolkit)
 of 2014-11-18 on qcore
Repository revision: 07556b0299b33b52cf352581bfdd6554819eea30
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Ubuntu 14.10

Configured using:
 `configure --without-toolkit-scroll-bars --with-x-toolkit=lucid'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY LIBXML2 FREETYPE XFT
ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix




Acknowledgement sent to oscarfv@HIDDEN (Óscar Fuentes):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19339; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Dec 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.